
#include <getopt.h>

#include "slc.hh"
#include "options.hh"
#include "screen.hh"

Screen S;

/*!
** Program entry point
**
** @param argc arg count
** @param argv arg vector
**
** @return program err code
*/
int main(int argc, char *argv[])
{
  Options o;

  // get options
  o.load(argc, argv);

  // Create graphic env
  S.init();

  // Processing
  S.run();

  return 0;
}
